|

Update a user

patch/users/{fp_id}
External ID
Update basic details for a user. See the APIs under the User vault section for information on patching vault data.

Request

Path parameters

fp_id·

string

Body

external_id·

optional string

Optionally, the new external ID for the entity. Can only be composed of alphanumeric characters, underscores, hyphens, and periods. If an entity with this external ID already exists, returns a 400.

Response

external_id·

optional string

id·

string

sandbox_id·

optional string

Only populated for users created in sandbox mode.
PATCH /users/{fp_id}
1curl -X PATCH https://api.onefootprint.com/users/{fp_id} \
2  -u sk_test_xxxxx: \
3  -d '{
4    "external_id": "0cece047-151f-4ac4-9782-dc27691fd766"
5  }'
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "sandbox_id": "WH8RkRCDSxCfH"
}